<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version 		1.0
@description 	Pantalla para gestionar los rangos personalizados.
@cu				CU-NP-CO-250 Generar reporte estdisticos
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="personalizarRangosForm">

    <h:panelGrid width="100%">

        <p:accordionPanel id="rangosAcc"  widgetVar="rangosWV">

            <p:tab title="Distribución rural - Rango superficie " id="tab1"
                   titleStyle="text-align:center;font-size:130%;">

                <br/>

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[0]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(0);">
                    <f:setPropertyActionListener value="0" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[0]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(0);">
                    <f:setPropertyActionListener value="6" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango1" rendered="#{gestionReporteEstadisticos.rangosHabilitados[0]}">

                <p:dataTable id="tablaReportesGenerados" widgetVar="r1DT"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[0]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update="tablaReportesGenerados" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="0" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>
            <p:tab title="Distribución rural - Rango avalúos" id="tab2"
                   titleStyle="text-align:center;font-size:130%;">

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[1]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(1);">
                    <f:setPropertyActionListener value="1" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[1]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(1);">
                    <f:setPropertyActionListener value="7" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango2" rendered="#{gestionReporteEstadisticos.rangosHabilitados[1]}">

                <p:dataTable id="tablaReportesGeneradosr2" widgetVar="r2DTWV"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[1]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update=":detalleRangoForm" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                             action="#{gestionReporteEstadisticos.cargarPrevisualizacionReporte}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                                <f:setPropertyActionListener value="1" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener value="1" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="1" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>
            <p:tab title="Distribución urbana - Rango superficie" titleStyle="text-align:center;font-size:130%;">

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[2]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(2);">
                    <f:setPropertyActionListener value="2" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[2]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(2);">
                    <f:setPropertyActionListener value="8" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango3" rendered="#{gestionReporteEstadisticos.rangosHabilitados[2]}">

                <p:dataTable id="tablaReportesGeneradosR3" widgetVar="r3DT"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[2]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom" 
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update=":detalleRangoForm" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                                <f:setPropertyActionListener value="2" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener value="2" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="2" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>
            <p:tab title="Distribución urbana - Rango avalúos" titleStyle="text-align:center;font-size:130%;">

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[3]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(3);">
                    <f:setPropertyActionListener value="3" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[3]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(3);">
                    <f:setPropertyActionListener value="9" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango4" rendered="#{gestionReporteEstadisticos.rangosHabilitados[3]}">

                <p:dataTable id="tablaReportesGeneradosR4" widgetVar="r4DT"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[3]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom" 
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update=":detalleRangoForm" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                             action="#{gestionReporteEstadisticos.cargarPrevisualizacionReporte}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                                <f:setPropertyActionListener value="3" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener value="3" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="3" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>
            <p:tab title="Distribución corregimientos - Rango superficie" titleStyle="text-align:center;font-size:130%;">

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[4]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(4);">
                    <f:setPropertyActionListener value="4" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[4]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(4);">
                    <f:setPropertyActionListener value="10" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango5" rendered="#{gestionReporteEstadisticos.rangosHabilitados[4]}">

                <p:dataTable id="tablaReportesGeneradosR5" widgetVar="r5DT"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[4]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom" 
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update=":detalleRangoForm" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                             action="#{gestionReporteEstadisticos.cargarPrevisualizacionReporte}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                                <f:setPropertyActionListener value="4" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener value="4" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="4" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>
            <p:tab title="Distribución corregimientos - Rango avalúos" titleStyle="text-align:center;font-size:130%;">

                <p:commandButton title="Habilitar rango" value="Habilitar rango"
                                 icon="ui-icon-plus" rendered="#{!gestionReporteEstadisticos.rangosHabilitados[5]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(5);">
                    <f:setPropertyActionListener value="5" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <p:commandButton title="Deshabilitar rango" value="Deshabilitar rango"
                                 icon="ui-icon-minus" rendered="#{gestionReporteEstadisticos.rangosHabilitados[5]}"
                                 update=":personalizarRangosForm"
                                 onstart="statusDialog2.show()"
                                 process="@this"
                                 oncomplete="statusDialog2.hide(); rangosWV.select(5);">
                    <f:setPropertyActionListener value="11" target="#{gestionReporteEstadisticos.indexRangoHabilitado}"/>

                </p:commandButton>

                <br/>
                <br/>

                <p:panel id="panelRango6" rendered="#{gestionReporteEstadisticos.rangosHabilitados[5]}">

                <p:dataTable id="tablaReportesGeneradosR6" widgetVar="r6DT"
                             value="#{gestionReporteEstadisticos.listasRangoReporte[5]}"
                             var="rango" paginator="true" rows="5" rowKey="#{rango.id}"
                             paginatorPosition="bottom" 
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No se han definido intervalos">

                    <p:column headerText="Opciones">
                        <center>								
                            <p:commandButton title="Editar"
                                             icon="ui-icon-pencil"
                                             update=":detalleRangoForm" 
                                             onstart="statusDialog2.show()"
                                             process="@this"
                                             oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                             action="#{gestionReporteEstadisticos.cargarPrevisualizacionReporte}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.banderaEdicionRango}"
                                    value="true" />
                                <f:setPropertyActionListener value="5" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                            <p:commandButton title="Eliminar"
                                             icon="ui-icon-trash"
                                             oncomplete="doSelect(xhr, status, args, detalleRangosWV, #{gestionReporteEstadisticos.rangoCategoriaSeleccionado}, rangosWV);"
                                             update=":personalizarRangosForm:rangosAcc"
                                             process="@this"
                                             action="#{gestionReporteEstadisticos.eliminarRangoPersonalizado}">
                                <f:setPropertyActionListener
                                    target="#{gestionReporteEstadisticos.rangoReporteSeleccionado}"
                                    value="#{rango}" />
                                <f:setPropertyActionListener value="5" 
                                                             target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>
                            </p:commandButton>
                        </center>
                    </p:column>
                    <p:column headerText="Desde(Ha)" >
                        <h:outputText value="#{rango.valorInicial}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Hasta(Ha)" >
                        <h:outputText value="#{rango.valorFinal}"
                                      styleClass="outputTextStyleInTable">
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton title="Nuevo" value="Nuevo"
                                     icon="ui-icon-plus"
                                     update=":detalleRangoForm" 
                                     onstart="statusDialog2.show()"
                                     process="@this"
                                     oncomplete="detalleRangosWV.show();statusDialog2.hide()"
                                     action="#{gestionReporteEstadisticos.inicializarNuevoRango}">
                        <f:setPropertyActionListener value="5" target="#{gestionReporteEstadisticos.rangoCategoriaSeleccionado}"/>

                    </p:commandButton>
                </h:panelGrid>
                </p:panel>

            </p:tab>


        </p:accordionPanel>

    </h:panelGrid>


    <p:messages id="ranGenMsg" showDetail="false" globalOnly="false" />

    <center>
        <br/>
        <p:commandButton value="Guardar" title="Guardar"
                         action="#{gestionReporteEstadisticos.personalizarRangos}"
                         update="ranGenMsg"
                         oncomplete="handleCompleteSIC(xhr, status,args, personalizarRangosWV, false);"
                         icon="ui-icon-check" />
        <p:spacer width="10"/>
        <p:commandButton value="Cancelar" title="Cancelar"
                         oncomplete="personalizarRangosWV.hide();"
                         icon="ui-icon-close" />
        <p:spacer height="10"/>
        <br/>
        <br/>
    </center>



</h:form>